Skip to Content
Webhooks

Delete a webhook endpoint

DELETE
/developer/webhooks/{id}

Deletes a webhook endpoint. Deliveries not yet sent to it are dropped. Free.

Authorization

DeveloperKey
headerAuthorizationBearer <gm_live_...>

A GetMattered developer API key, sent as Authorization: Bearer gm_live_....

Path Parameters

id*integer

The webhook endpoint id.

Range0 < value

Response Body

The endpoint was deleted.

application/json
  1. response

Successful API response

data*
meta?
success*true
Value intrue
Example Request
curl -X DELETE 'https://api.getmattered.com/api/v1/developer/webhooks/1'
Example Response
{
  "data": {
    "deleted": true,
    "id": 1
  },
  "meta": {
    "duration": 0,
    "performance": {
      "dbQueries": 0,
      "totalDbTime": 0
    },
    "requestId": "string",
    "timestamp": "2019-08-24T14:15:22Z",
    "version": "string"
  },
  "success": true
}